"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestingValues = void 0;
/**
 * Test values
 */
class TestingValues {
    constructor() {
        // descriptions
        this.AWSError = 'AWS Error';
        this.InvalidTest = 'returns error from AWS';
        this.MustSupply = 'Must supply';
        this.ThrowsOnEmpty = 'throws on empty';
        this.ThrowsOnTooMany = 'throws on too many';
        this.ValidTest = 'returns valid response from AWS';
        // empty values
        this.EmptyArray = [];
        this.EmptyString = '';
        // strings
        this.Body = 'body';
        this.StringValue = 'value';
        this.ReceiptHandle = 'receipt-handle';
        this.Url = 'url';
        // objects
        this.Entries = [{ Id: this.StringValue, MessageBody: this.Body }];
    }
}
exports.TestingValues = TestingValues;
//# sourceMappingURL=test-values.js.map